#include <iostream>

using namespace std;

int main()
{
	int N,M;
	cin>>N>>M;
	int d[N],u[N],l,r,x,res[M];
	for(int i=0;i<N;i++)
	{
		cin>>d[i]>>u[i];
	}
	for(int i=0;i<M;i++)
	{
	cin>>l>>r>>x;
	res[i]=0;
	for(int j=l-1;j<r;j++)
	if(x>=d[j] and x<=u[j])
	res[i]++;
}
    for(int i=0;i<M;i++)
    cout<<res[i]<<endl;
}